Subject: Re: [mpls] Comments - Re: poll on draft-kompella-mpls-entropy-label as MPLS WG document

From: Sriganesh Kini <[email-masked]>
Date: Mon, 2 May 2011 17:50:10 -0700

inline

On Thu, Apr 28, 2011 at 3:38 PM, John E Drake <[email-masked]> wrote:
>
>
> Sent from my iPhone
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Sriganesh Kini
>> Sent: Thursday, April 28, 2011 3:29 PM
>> To: Ross Callon
>> Cc: [email-masked]
>> Subject: [mpls] Comments - Re: poll on draft-kompella-mpls-entropy-
>> label as MPLS WG document
>>
>> Hi Kireeti and other authors,
>>
>> Need a couple clarification
>> 1. This draft seems to apply to the TE LSP (or transport LSP)  for the
>> adaptation in figure 3.4.5 of RFC 5921 since that section apparently
>> applies to MPLS in addition to MPLS-TP. Can you confirm that.
>
> JD:  You mean figure 7|8 in section 3.4.5?  But yes, entropy labels apply to Packet Transport Service.
>
>> 2. In that case, when the client layer is MPLS enabled where is the EL
>> in the label stack relative to the labels from the client?
>
> JD:  It's always bottom of stack, so if it is present, it was placed there by the client.

Ok. Since the EL has to be placed by the client, but cannot be placed
by the ingress LSR of the Transport LSP (when the packet received from
the CE is MPLS), it may be useful to state this explicitly in section
3 para that starts with "EL labels are generated by the ingress LSR
<<when the packet to be encapsulated is not itself MPLS>> ..."

>
>>
>> Thanks
>>
>> On Mon, Apr 18, 2011 at 8:15 AM, Ross Callon <[email-masked]>
>> wrote:
>> > All,
>> >
>> > this is to start a two week working group poll on whether to make
>> > draft-kompella-mpls-entropy-label an mpls wg document.
>> >
>> > Please send your comments to the [email-masked] mailing list.
>> >
>> > The poll ends on May 3rd.
>> >
>> > thanks Ross (as WG co-chair)
>> > _______________________________________________
>> > mpls mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/mpls
>> >
>>
>>
>>
>> --
>> - Sri
>> _______________________________________________
>> mpls mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mpls
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

-- 
- Sri

---

From: Sriganesh Kini <[email-masked]>
Date: Tue, 3 May 2011 13:53:19 -0700

Another comment on the draft -
When LDP is used for tunnel LSPs there could be multiple egress LSRs
(for a LSP to a FEC). These may have different EL processing
capabilities and different ELI values. Section 5.1 should address how
such cases are handled.

-- 
- Sri

---

From: John E Drake <[email-masked]>
Date: Tue, 3 May 2011 18:00:37 -0700

Sri,

This is related to a comment that Shane made; viz, the term 'LSR' is used consistently throughout the document instead of the correct term 'LER'.  An ingress LER is by definition the node that places the MPLS header on given packet and it is the one that places the Entropy Label in the MPLS header.

Thanks,

John  

Sent from my iPhone

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Sriganesh Kini
> Sent: Monday, May 02, 2011 5:50 PM
> To: John E Drake
> Cc: Ross Callon; [email-masked]
> Subject: Re: [mpls] Comments - Re: poll on draft-kompella-mpls-entropy-